<template>
    <div
        v-if="true"
        class="alert"
        :class="type"
    >   
    <svg @click="$emit('close')" width="12" height="12" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg" style="position: absolute; right: 10px; top: 10px; z-index: 1000; cursor: pointer;">
<path d="M0.7005 0L0 0.70275L5.292 6L0 11.2965L0.7005 12L6.00825 6.7035L11.2995 12L12 11.2965L6.708 6L12 0.70275L11.2995 0L6.0075 5.29725L0.7005 0Z" fill="#8B8B8B"/>
</svg>

        <SimpleSvg
            src="/images/close.svg"
            custom-class-name="alert__close"
            :fill="'#8B8B8B'"
        />
        <div
            class="alert__icon"
            :class="`icon__${type}`"
        >
            <SimpleSvg
                :src="getIcon(type).src"
                :fill="getIcon(type).fill"
            />
        </div>
        <div class="alert__content">
            <div
                class="alert__title"
                :class="`title__${type}`"
            >
                {{ title }}
            </div>
            <p
                class="
                alert__desc"
                v-html="desc"
            />
        </div>
    </div>
</template>

<script>
export default {
    props: {
        title: {
            type: String,
            default: 'Verifying action is failed:(',
        },
        desc: {
            type: String,
            default: 'Please check your domain settings at domain Admin panel and try again. You can use <a href="#">help documentation.</a>'
        },
        type: {
            type: String,
            default: 'danger'
        }
    },
    methods: {
        getIcon(type) {
            const icons = [{src:'/images/close.svg', fill: '#fff'}]
            switch(type) {
                case 'danger': return icons[0]
                case 'success': return icons[0]
            }
        }
    }
}
</script>


<style lang="scss" scoped>
.alert {
    padding: 10px 10px 10px 16px;
    display: flex;
    width: 420px;
    max-width: 100%;
    position: relative;
    &.danger {
        background: rgba(184, 40, 40, 0.03);
        border: 1px solid #B82828;
    }
    &.success {
        border: 1px solid #3FC61E;
        background: #F0FAED;
    }
    &__icon {
        min-width: 20px;
        width: 20px;
        height: 20px;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 50%;
        margin-right: 8px;
    }
    &__title {
        margin-bottom: 3px;
        font-weight: 500;
        font-size: 14px;
        line-height: 16px;
    }
    &__desc {
        font-size: 11px;
        line-height: 15px;
        color: #727272;
        width: 305px;
        max-width: 100%;
        margin-bottom: 0;
    }
}
::v-deep {
    .alert__close {
        right: 10px;
        top: 10px;
        position: absolute;
    }
}
.icon {
    &__danger {
        background: #B82828;
    }
    &__success {
        background: #3FC61E;
    }
}
.title {
    &__danger {
        color: #B82828;
    }
    &__success {
        color: #3FC61E;
    }
}
</style>

<style lang="scss">
.alert__desc {
    a {
        color: #727272;
        text-decoration: underline;
        font-size: 11px;
        line-height: 15px;
    }
}
</style>